Bug 126703 - BUG() in __sync_one
BUG() in __sync_one
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-24 19:11 EDT by Bjorn Helgaas
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 00:31:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bjorn Helgaas 2004-06-24 19:11:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
We've seen two occurrences of this panic while running
HP's internal "busy" and "hazard" tests.  It looks like
the same problem reported here:

	http://bugme.osdl.org/show_bug.cgi?id=2367

The first sighting was on a RHEL3 U2 kernel with my
patch for
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=126702

The second sighting was on a kernel without my patch.
Unfortunately I don't know the provenance of the kernel;
it claims to be 2.4.21-11.EL.


kernel BUG at inode.c:300!
Unable to handle kernel NULL pointer dereference
kupdated[22]: Oops 8804682956800

Pid: 22, comm:             kupdated
EIP is at sync_unlocked_inodes [kernel] 0x660 (2.4.21-15.ELlosl1)
psr : 0000101008026018 ifs : 8000000000000a98 ip  : [<e000000004555260>]    Not tainted
unat: 0000000000000000 pfs : 0000000000000a98 rsc : 0000000000000003
rnat: e000000004b7f990 bsps: e000000004b7f990 pr  : 80000000ff6faa59
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c8a70433f
b0  : e000000004555260 b6  : e0000000044032d0 b7  : e000000004415040
f6  : 1003e020c49ba5e353fbe f7  : 0ffdaf300000000000000
f8  : 1003e000000000000000a f9  : 1003e00000000000004e2
r1  : e000000004cafd00 r2  : c0000000fee04030 r3  : 00000000000000fd
r8  : 000000000000001b r9  : 0000000000000000 r10 : 0000000000004030
r11 : 0000000000000403 r12 : e00007402ab3fe40 r13 : e00007402ab38000
r14 : 0000000000000000 r15 : 0000000000000000 r16 : 0000000000000000
r17 : 0000000000004000 r18 : 0000000000004000 r19 : 0000000000000005
r20 : e000000004b870b4 r21 : e000000004ab9768 r22 : e000000004b870b4
r23 : e00007402ab3fde0 r24 : e000000004a80400 r25 : e000000004b77a98
r26 : 0000000000000002 r27 : 0000000000000040 r28 : e00007603ce28098
r29 : e000074028750098 r30 : e00007603ce28028 r31 : 0000000000000001

Call Trace: [<e000000004415860>] sp=0xe00007402ab3fa50 bsp=0xe00007402ab39528 show_stack [kernel] 0x80
[<e0000000044308b0>] sp=0xe00007402ab3fc10 bsp=0xe00007402ab394f8 die [kernel] 0x1b0
[<e000000004452e30>] sp=0xe00007402ab3fc10 bsp=0xe00007402ab394a0 ia64_do_page_fault [kernel] 0x310
[<e00000000440e920>] sp=0xe00007402ab3fca0 bsp=0xe00007402ab394a0 ia64_leave_kernel [kernel] 0x0
[<e000000004555260>] sp=0xe00007402ab3fe40 bsp=0xe00007402ab393d8 sync_unlocked_inodes [kernel] 0x660
[<e000000004524b10>] sp=0xe00007402ab3fe40 bsp=0xe00007402ab393b0 sync_old_buffers [kernel] 0xb0
[<e0000000045256f0>] sp=0xe00007402ab3fe50 bsp=0xe00007402ab39358 kupdate [kernel] 0x310
[<e000000004416f30>] sp=0xe00007402ab3fe50 bsp=0xe00007402ab39320 arch_kernel_thread [kernel] 0x70
[<e0000000044830a0>] sp=0xe00007402ab3fe50 bsp=0xe00007402ab392f0 kernel_thread [kernel] 0x100
[<e0000000049a4e30>] sp=0xe00007402ab3fe50 bsp=0xe00007402ab392d8 bdflush_init [kernel] 0x70
[<e000000004994db0>] sp=0xe00007402ab3fe50 bsp=0xe00007402ab392b0 do_initcalls [kernel] 0x50
[<e000000004408c90>] sp=0xe00007402ab3fe50 bsp=0xe00007402ab39290 init [kernel] 0xd0
[<e000000004416f30>] sp=0xe00007402ab3fe50 bsp=0xe00007402ab39258 arch_kernel_thread [kernel] 0x70
[<e0000000044830a0>] sp=0xe00007402ab3fe50 bsp=0xe00007402ab39228 kernel_thread [kernel] 0x100
[<e000000004408b30>] sp=0xe00007402ab3fe50 bsp=0xe00007402ab39218 rest_init [kernel] 0x50
[<e000000004994d20>] sp=0xe00007402ab3fe50 bsp=0xe00007402ab391b8 start_kernel [kernel] 0x3c0
[<e0000000044080d0>] sp=0xe00007402ab3fe60 bsp=0xe00007402ab39150 start_ap [kernel] 0x1b0
Kernel panic: Fatal exception




kernel BUG at inode.c:300!
Unable to handle kernel NULL pointer dereferencesync[21882]: Oops 8804682956800

Pid: 21882, comm:                 sync
EIP is at sync_inodes_sb [kernel] 0x650 (2.4.21-11.EL)
psr : 0000101008026018 ifs : 8000000000000a17 ip  : [<e0000000045548f0>]    Not tainted
unat: 0000000000000000 pfs : 0000000000000a17 rsc : 0000000000000003
rnat: 0000000000000001 bsps: e000000004a83c90 pr  : 80000000ff6ea959
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c8a70033f
b0  : e0000000045548f0 b6  : e0000000047ff700 b7  : e00000000464ce40
f6  : 0fffbccccccccc8c00000 f7  : 0ffdaf300000000000000
f8  : 10000c000000000000000 f9  : 10002a000000000000000
r1  : e000000004cafd00 r2  : e00000001bdd803c r3  : e000070031ce003c
r8  : 000000000000001b r9  : e000000004a83c90 r10 : 0000000000002600
r11 : 0000000000000002 r12 : e00000001bddfe60 r13 : e00000001bdd8000
r14 : 0000000000000073 r15 : 0000000000000000 r16 : 0000000000000000
r17 : 0000000000004000 r18 : 0000000000004000 r19 : 0000000000002600
r20 : e000000004a81690 r21 : 0000000000000026 r22 : 0000000000000012
r23 : e00000001bddfe00 r24 : e000000004a80400 r25 : e000000004b77a98
r26 : 000000000000001b r27 : 000000000000002d r28 : e000070031ce0098
r29 : e0000700fc308098 r30 : e000070031ce0028 r31 : 0000000000000001

Call Trace: [<e000000004415860>] sp=0xe00000001bddfa70 bsp=0xe00000001bdd9350 show_stack [kernel] 0x80
[<e0000000044308b0>] sp=0xe00000001bddfc30 bsp=0xe00000001bdd9320 die [kernel] 0x1b0
[<e000000004452c70>] sp=0xe00000001bddfc30 bsp=0xe00000001bdd92c8 ia64_do_page_fault [kernel] 0x310
[<e00000000440e920>] sp=0xe00000001bddfcc0 bsp=0xe00000001bdd92c8 ia64_leave_kernel [kernel] 0x0
[<e0000000045548f0>] sp=0xe00000001bddfe60 bsp=0xe00000001bdd9210 sync_inodes_sb [kernel] 0x650
[<e000000004555330>] sp=0xe00000001bddfe60 bsp=0xe00000001bdd91f0 sync_inodes [kernel] 0xb0
[<e00000000451a750>] sp=0xe00000001bddfe60 bsp=0xe00000001bdd91d0 fsync_dev [kernel] 0xd0
[<e00000000451aa00>] sp=0xe00000001bddfe60 bsp=0xe00000001bdd9180 sys_sync [kernel] 0x20
[<e00000000440e900>] sp=0xe00000001bddfe60 bsp=0xe00000001bdd9180 ia64_ret_from_syscall [kernel] 0x0
Kernel panic: Fatal exception

Version-Release number of selected component (if applicable):
RHEL3 U2

How reproducible:
Sometimes

Steps to Reproduce:
1. Run "busy" and "hazard" simultaneously on 8-way Orca;
configuration described here:
	http://gslabe.rose.hp.com/~ps_abe/report.cgi?file=PS3364

    

Additional info:
Comment 1 Rik van Riel 2004-06-24 21:34:40 EDT
Looks suspiciously like it could have been fixed already in the U3
stream, by an upstream inherited patch to inode.c.  Ernie, could you
please give Bjorn the latest RHEL3 kernel so he can verify that it is
indeed gone ?
Comment 2 Ernie Petrides 2004-07-02 18:06:46 EDT
A fix for this problem has been previously committed to the RHEL3
U3 patch pool on 9-Jun-2004 (in kernel version 2.4.21-15.9.EL).
Comment 3 John Flanagan 2004-09-02 00:31:52 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-433.html

Note You need to log in before you can comment on or make changes to this bug.